Skip to content
VirtlixCP

Documentation / API

Clients

List Clients

GET /client

List all Clients (sub-clients if on client-side)

Response 200: A list of Clients

Field Type Description
billing object
billing.id integer The Billing ID of the API Integration that this client belongs to.
billing.ignoreAutoSuspend boolean Tells VirtlixCP that this is a client with VIP status and their servers will never be automatically suspended.
billing_id integer
created_at object
created_at.iso_8601 string IS0 8601-formatted Date
created_at.unix integer Seconds since Unix epoch (Unix Timestamp)
email string
first string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
integration object
integration.id integer VirtlixCP-specific unique identifier used for URLs, etc.
integration.name string
last string
name string
serversCount integer

Create Client

POST /client

Create a new Client (or sub-client on client-side)

Request body

Field Type Required Description
billing object
billing.id integer VirtlixCP-specific unique identifier used for URLs, etc.
billing.ignoreAutoSuspend boolean
billing.integration object
email string yes
first string yes
last string yes
password string

Response 200: A Client

Field Type Description
billing object
billing.id integer The Billing ID of the API Integration that this client belongs to.
billing.ignoreAutoSuspend boolean Tells VirtlixCP that this is a client with VIP status and their servers will never be automatically suspended.
billing_id integer
created_at object
created_at.iso_8601 string IS0 8601-formatted Date
created_at.unix integer Seconds since Unix epoch (Unix Timestamp)
email string
first string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
integration object
integration.id integer VirtlixCP-specific unique identifier used for URLs, etc.
integration.name string
last string
name string
serversCount integer

Request body

Field Type Required Description
billing object
billing.id integer VirtlixCP-specific unique identifier used for URLs, etc.
billing.ignoreAutoSuspend boolean
billing.integration object
email string yes
first string yes
last string yes
password string

Response 422: Unprocessable Entity

Delete Client

DELETE /client/{client_id}

Delete a client

Response 200: Client deleted successfully

Response 404: Item not Found

View Client

GET /client/{client_id}

View a specific client

Response 200: A Client

Field Type Description
billing object
billing.id integer The Billing ID of the API Integration that this client belongs to.
billing.ignoreAutoSuspend boolean Tells VirtlixCP that this is a client with VIP status and their servers will never be automatically suspended.
billing_id integer
created_at object
created_at.iso_8601 string IS0 8601-formatted Date
created_at.unix integer Seconds since Unix epoch (Unix Timestamp)
email string
first string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
integration object
integration.id integer VirtlixCP-specific unique identifier used for URLs, etc.
integration.name string
last string
name string
serversCount integer
verify array
verify.require boolean

Edit Client

PATCH /client/{client_id}

Edit a specific client with new information

Request body

Field Type Required Description
billing object
billing.id integer VirtlixCP-specific unique identifier used for URLs, etc.
billing.ignoreAutoSuspend boolean
billing.integration object
email string
first string
last string
password string

Response 200: A Client

Field Type Description
billing object
billing.id integer The Billing ID of the API Integration that this client belongs to.
billing.ignoreAutoSuspend boolean Tells VirtlixCP that this is a client with VIP status and their servers will never be automatically suspended.
billing_id integer
created_at object
created_at.iso_8601 string IS0 8601-formatted Date
created_at.unix integer Seconds since Unix epoch (Unix Timestamp)
email string
first string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
integration object
integration.id integer VirtlixCP-specific unique identifier used for URLs, etc.
integration.name string
last string
name string
serversCount integer
verify array
verify.require boolean

Request body

Field Type Required Description
billing object
billing.id integer VirtlixCP-specific unique identifier used for URLs, etc.
billing.ignoreAutoSuspend boolean
billing.integration object
email string
first string
last string
password string

Response 422: Unprocessable Entity

Send Email to Client

POST /client/{client_id}/email

Send Email to a Client

Request body

Field Type Required Description
type string yes

Response 200: Sent an email to one client.

Field Type Description
text string
type string

Request body

Field Type Required Description
type string yes

Response 422: Unprocessable Entity